<?php
/**
 * @file
 * scoreboard_selectcq.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function _closedquestion_scoreboard_installed_instances() {
  $field_instances = array();

  // Exported field_instance:
  // 'node-teacher_scoreboard-field_select_closedquestions'.
  $field_instances['node-teacher_scoreboard-field_select_closedquestions'] = array(
    'bundle' => 'teacher_scoreboard',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Select closedquestions to add to scoreboard',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 4,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_select_closedquestions',
    'label' => 'Select closedquestions',
    'required' => FALSE,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'entityreference_view_widget',
      'settings' => array(
        'allow_duplicates' => 0,
        'close_modal' => 1,
        'pass_argument' => 1,
        'pass_arguments' => '',
        'rendered_entity' => 0,
        'view' => 'select_closedquestion_reference|entityreference_view_widget_cq',
        'view_mode' => 'full',
      ),
      'type' => 'entityreference_view_widget',
      'weight' => 4,
    ),
//    'widget' => array(
//      'module' => 'options',
//      'settings' => array(),
//      'type' => 'options_select',
//      'weight' => -3,
//    ),
  );

  $field_instances['node-student_scoreboard-field_select_closedquestions'] = array(
    'bundle' => 'student_scoreboard',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Select closedquestions to add to scoreboard',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 1,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_select_closedquestions',
    'label' => 'Select closedquestions',
    'required' => FALSE,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'entityreference_view_widget',
      'settings' => array(
        'allow_duplicates' => 0,
        'close_modal' => 1,
        'pass_argument' => 1,
        'pass_arguments' => '',
        'rendered_entity' => 0,
        'view' => 'select_closedquestion_reference|entityreference_view_widget_cq',
        'view_mode' => 'full',
      ),
      'type' => 'entityreference_view_widget',
      'weight' => -3,
    ),
//    'widget' => array(
//      'module' => 'options',
//      'settings' => array(),
//      'type' => 'options_select',
//      'weight' => -3,
//    ),
  );

 // Exported field_instance: 'node-teacher_scoreboard-field_use_cq_context'.
  $field_instances['node-teacher_scoreboard-field_use_cq_context'] = array(
    'bundle' => 'teacher_scoreboard',
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => 'Select this option to show questions used in a WebLM or ExperD context.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 2,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_use_cq_context',
    'label' => 'Show question answers given in a WebLM or ExperD context',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 1,
      ),
      'type' => 'options_onoff',
      'weight' => 3,
    ),
  );


  // Exported field_instance: 'node-teacher_scoreboard-field_view_type_ccsb'.
  $field_instances['node-teacher_scoreboard-field_view_type_ccsb'] = array(
    'bundle' => 'teacher_scoreboard',
    'default_value' => array(
      0 => array(
        'value' => 'Question_table',
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 4,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_view_type_ccsb',
    'label' => 'Scoreboard layout',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 2,
    ),
  );
  
  // Exported field_instance: 'node-teacher_scoreboard-body'.
  $field_instances['node-teacher_scoreboard-body'] = array(
    'bundle' => 'teacher_scoreboard',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Enter a ";"-separated list of node-ids of Closed Questions<br>or use the "Select closedquestion" widget to add questions.',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 0,
      ),
      'teaser' => array(
        'label' => 'hidden',
        'module' => 'text',
        'settings' => array(
          'trim_length' => 600,
        ),
        'type' => 'text_summary_or_trimmed',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'body',
    'label' => 'Add closedquestion node ids',
    'required' => 0,
    'settings' => array(
      'display_summary' => 0,
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'rows' => 5,
        'summary_rows' => 5,
      ),
      'type' => 'text_textarea_with_summary',
      'weight' => 5,
    ),
  );
  
  // Translatables
  // Included for use with string extractors like potx.
  t('Add closedquestion node ids');
  t('Enter a ";"-separated list of node-ids of Closed Questions<br>or use the "Select closedquestion" widget to add questions.');
  t('Question XML');
  t('Scoreboard layout');
  t('Select this option to show questions used in a WebLM or ExperD context.');
  t('Show question answers given in a WebLM or ExperD context');
  t('Select closedquestions');
  t('Select closedquestions to add to scoreboard');
  t('Courses');

  return $field_instances;
}
