//jQuery( document ).ready(function() {
//  ccsb_showalldivs();
//});

(function ($) {
  Drupal.behaviors.cq_scoreboard = {
    attach: function (context) {
      ccsb_showalldivs();
      $( "#edit-ccsb-select-question" ).bind( "change", function() {
        var chosen_question = $("#edit-ccsb-select-question").val();
        if ( chosen_question === 'all'){
          ccsb_showalldivs();
        } else {
          ccsb_showorhide_div(chosen_question);
        }
      });
      $( ".cssb_tab_menu_item" ).bind( "click", function() {
        var chosen_question = $(this).attr('id');
        chosen_question = chosen_question.replace('closedquestion_link_', '');
        if ( chosen_question === 'all'){
          ccsb_showalldivs();
        } else {
          ccsb_showorhide_div(chosen_question);
        }
      });
    },
  };
}(jQuery));

function ccsb_showorhide_div(nid) {
  jQuery('.closedquestiongrid').hide();
  jQuery('#closedquestion_' + nid).show();
  jQuery('.cssb_tab_menu_item').removeClass( "ccsb_tab_menu_active" );
  jQuery('#closedquestion_link_' + nid).addClass( "ccsb_tab_menu_active" );
}

function ccsb_showalldivs() {
  jQuery('.closedquestiongrid').show();
  jQuery('.cssb_tab_menu_item').removeClass( "ccsb_tab_menu_active" );
  jQuery('#closedquestion_link_all').addClass( "ccsb_tab_menu_active" ); 
}

